#!/usr/bin/python3
'''
  (C) Copyright 2018-2021 Intel Corporation.

  SPDX-License-Identifier: BSD-2-Clause-Patent
'''

from daos_core_base import DaosCoreBase

class DaosCoreTestRebuild(DaosCoreBase):
    # pylint: disable=too-many-ancestors
    """Run just the daos_test rebuild tests.

    :avocado: recursive
    """

    def test_rebuild_0to10(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=0-10

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_0to10
        """
        self.run_subtest()

    def test_rebuild_12to15(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=12-15

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_12to15
        """
        self.run_subtest()

    def test_rebuild_16(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=16

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_16
        """
        self.run_subtest()

    def test_rebuild_17(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=17

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_17
        """
        self.run_subtest()

    def test_rebuild_18(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=18

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_18
        """
        self.run_subtest()

    def test_rebuild_19(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=19

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_19
        """
        self.run_subtest()

    def test_rebuild_20(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=20

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_20
        """
        self.run_subtest()

    def test_rebuild_21(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=21

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_21
        """
        self.run_subtest()

    def test_rebuild_22(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=22

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_22
        """
        self.run_subtest()

    def test_rebuild_23(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=23

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_23
        """
        self.run_subtest()

    def test_rebuild_24(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=24

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_24
        """
        self.run_subtest()

    def test_rebuild_25(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=25

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_25
        """
        self.run_subtest()

    def test_rebuild_26(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=26

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_26
        """
        self.run_subtest()

    def test_rebuild_27(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=27

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_27
        """
        self.run_subtest()

    def test_rebuild_28(self):
        """Jira ID: DAOS-2770

        Test Description:
            Run daos_test -r -s3 -u subtests=28

        Use cases:
            Core tests for daos_test rebuild

        :avocado: tags=all,pr,daily_regression
        :avocado: tags=hw,ib2,medium
        :avocado: tags=unittest
        :avocado: tags=daos_test,daos_core_test_rebuild,test_rebuild_28
        """
        self.run_subtest()
